CRYPTO_GET_MEM_FUNCTIONS(3)

NAME
CRYPTO_get_mem_functions, CRYPTO_set_mem_functions, CRYPTO_mem_ctrl, CRYPTO_mem_leaks, CRYPTO_mem_leaks_fp, CRYPTO_mem_leaks_cb - legacy OpenSSL memory allocation control

SYNOPSIS
#include <openssl/crypto.h>
void
CRYPTO_get_mem_functions(void *(**m)(size_t), void *(**r)(void *, size_t), void (**f)(void *));
int
CRYPTO_set_mem_functions(void *(*m)(size_t), void *(*r)(void *, size_t), void (*f)(void *));
int
CRYPTO_mem_ctrl(int mode);
void
CRYPTO_mem_leaks(BIO *b);
void
CRYPTO_mem_leaks_fp(FILE *fp);
typedef void *
CRYPTO_MEM_LEAK_CB(unsigned long, const char *, int, int, void *);
void
CRYPTO_mem_leaks_cb(CRYPTO_MEM_LEAK_CB *cb);

DESCRIPTION
Do not use any of the interfaces documented here. They are provided purely for compatibility with legacy application code.

CRYPTO_get_mem_functions() assigns pointers to the C library functions malloc(3), realloc(3), and free(3) to those of its arguments that are not NULL.

CRYPTO_set_mem_functions(), CRYPTO_mem_ctrl(), CRYPTO_mem_leaks(), CRYPTO_mem_leaks_fp(), and CRYPTO_mem_leaks_cb() have no effect.

RETURN VALUES
CRYPTO_set_mem_functions() always returns 0.

CRYPTO_mem_ctrl() always returns CRYPTO_MEM_CHECK_OFF.

HISTORY
These functions appeared in SSLeay 0.8.1b or earlier and have been available since OpenBSD 2.4.